<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * This file contains all en_utf8 translations in alphabetical order.
 *
 * @package mod_socialwiki
 * @author Jordi Piguillem
 * @author Kenneth Riba
 *
 * @license http://www.gnu.org/copyleft/gpl.html GNU Public License
 */

$string['addcomment'] = 'Add comment';
$string['admin'] = 'Administration';
$string['adminmenu'] = 'Admin menu';
$string['attachmentattach'] = 'Add as attachment';
$string['attachmentimage'] = 'Add as image';
$string['attachmentlink'] = 'Add as link';
$string['attachments'] = 'Attachments';
$string['backcomments'] = 'Back to comments';
$string['backhistory'] = 'Back to history';
$string['backoldversion'] = 'Back to old version';
$string['backpage'] = 'Back to page';
$string['backtomapmenu'] = 'Back to map menu';
$string['changerate'] = 'Do you wish to change it?';
$string['cannoteditpage'] = 'You can not edit this page.';
$string['cannotfollow'] = 'You can not follow yourself';
$string['connotlike'] = 'You must be an enrolled user to like a page';
$string['deniedfollow'] = 'You do not have permission to follow people';
$string['cannotmanagefiles'] = 'You don\'t have permission to manage the wiki files.';
$string['cannotviewfiles'] = 'You don\'t have permission to view the wiki files.';
$string['cannotviewpage'] = 'You can not view this page.';
$string['classic'] = 'Classic';
$string['comparesel'] = 'Compare selected';
$string['comments'] = 'Comments';
$string['commentscount'] = 'Comments ({$a})';
$string['comparewith'] = 'Comparing page {$a->old} with page {$a->new}';
$string['userpages'] = 'My pages';
$string['userpages_help'] = 'List of pages that you created.';
$string['createcomment'] = 'Creating comment';
$string['creating'] = 'Creating a wiki page';
$string['createpage'] = 'Create page';
$string['createddate'] = 'Created: {$a->date} by {$a->username}';
$string['creole'] = 'Creole';
$string['defaultformat'] = 'Default format';
$string['defaultformat_help'] = 'This setting determines the default format used when editing wiki pages.
* HTML - The HTML editor is available
* Creole - A common wiki markup language for which a small edit toolbar is available
* Nwiki - Mediawiki-like markup language used in the contributed Nwiki module';
$string['follow'] = 'Follow';
$string['follow_tip'] = 'Click to follow this user';
$string['unfollow'] = 'Unfollow';
$string['unfollow_tip'] = 'Click to unfollow this user';
$string['like'] = 'Like';
$string['unlike'] = 'Unlike';
$string['like_tip'] = 'Like/Unlike this page';

$string['deletecomment'] = 'Deleting comment';
$string['deletecommentcheck'] = 'Delete comment';
$string['deletecommentcheckfull'] = 'Are you sure you want to delete the comment?';
$string['deleteupload'] = 'Delete';
$string['deletedbegins'] = 'Deleted begins';
$string['deletedends'] = 'Deleted ends';
$string['deleteversions'] = 'Delete page versions';
$string['addedbegins'] = 'added begins';
$string['addedends'] = 'added ends';
$string['diff'] = 'Diff';
$string['diff_help'] = 'Selected versions of the page may be compared in order to find the differences.';
$string['edit'] = 'Edit';
$string['editcomment'] = 'Edit comment';
$string['editblocks'] = 'Turn edit blocks on';
$string['editfiles'] = 'Edit wiki files';
$string['editing'] = 'Editing wiki page';
$string['editingcomment'] = 'Editing comment';
$string['editingpage'] = 'Editing this page \'{$a}\'';
$string['editsection'] = 'edit';
$string['files'] = 'Files';
$string['filenotuploadederror'] = 'File \'{$a}\' could not be uploaded correctly.';
$string['filtername'] = 'Social Wiki auto-linking';
$string['firstpagetitle'] = 'First page name';
$string['firstpagetitle_help'] = 'Title of the first page of the wiki.';
$string['forceformat'] = 'Force format';
$string['forceformat_help'] = 'If the format is forced (checkbox ticked), there is no option to choose a format when editing a wiki page.';
$string['format'] = 'Format';
$string['format_help'] = '* HTML - The HTML editor is available
* Creole - A common wiki markup language for which a small edit toolbar is available
* Nwiki - Mediawiki-like markup language used in the contributed Nwiki module';
$string['formathtml'] = 'HTML format';
$string['formathtml_help'] = 'The HTML editor may be used for formatting content.

To create a new page, type the new page name enclosed in double square brackets, for example [[Page 2]].
To link to a page copy the page url double square brackets with an existing page title inside links to a search for that page.';
$string['formatcreole'] = 'Creole format';
$string['formatcreole_help'] = 'Creole is a common wiki markup language with an edit toolbar for inserting appropriate markup.

To create a new page, type the new page name enclosed in double square brackets, for example [[Page 2]].
To link to a page copy the page url, double square brackets with an existing page title inside links to a search for that page.';
$string['formatcreole_link'] = 'mod/socialwiki/creole';
$string['formatnwiki'] = 'NWiki format';
$string['formatnwiki_help'] = 'Nwiki is the Mediawiki-like markup language used in the contributed Nwiki module.

To create a new page, type the new page name enclosed in double square brackets, for example [[Page 2]].
To link to a page copy the page url double square brackets with an existing page title inside links to a search for that page.';
$string['formatnwiki_link'] = 'mod/socialwiki/nwiki';
$string['help'] = 'Help';
$string['history'] = 'Versions';
$string['history_help'] = 'The history lists links to previous versions of the page.';
$string['html'] = 'HTML';
$string['incorrectdeleteversions'] = 'Page versions provided for deletion are incorrect.';
$string['insertcomment'] = 'Insert comment';
$string['insertimage'] = 'Insert an image...';
$string['insertimage_help'] = 'This drop-down list will insert an image to the wiki editor. If you need to add more images to the wiki, please use "Files" tab.';
$string['invalidparameters'] = 'Invalid parameters have been given.';
$string['invalidsection'] = 'Invalid section.';
$string['invalidsesskey'] = 'The given sesskey is not valid. Please resend data again';
$string['individualpagedoesnotexist'] = 'Individual wiki page doesn\'t exist';
$string['links_help'] = 'There are 3 diffrent ways to add links: <br/>
* [[page name]] links to a search pageName <br/>
* [[page name@pageid]] links to a specific version of a page <br/>
* [[page name@.]] links to the most recent version of that page';
$string['list'] = 'List View';
$string['listall'] = 'List all';
$string['listrelated'] = 'List related';
$string['home'] = 'Home';
$string['homemenu'] = 'Home menu';
$string['hometitle'] = 'Social Wiki Home';
$string['migrationfinished'] = 'Migration finished successfully';
$string['migrationfinishednowikis'] = 'Migration finished, no wikis were migrated';
$string['missingpages'] = 'Pages without content';
$string['modern'] = 'Modern';
$string['modified'] = 'Modified';
$string['modulename'] = 'Social Wiki';
$string['modulename_help'] = 'The Social Wiki activity module enables participants to add and edit a collection of web pages. A new wiki page is created for every edit someone makes to a page. Pages only exist while someone likes it, if a page has 0 likes it is deleted.

Participants can follow each other and like pages so that search results are specialy tailored for each participant.
A history of previous versions of each page in the wiki is kept, listing the edits made by each participant.

Social Wikis have many uses, such as

* For group lecture notes or study guides
* For members of a faculty to plan a scheme of work or meeting agenda together
* For students to collaboratively author an online book, creating content on a topic set by their tutor
* For collaborative storytelling or poetry creation, where each participant writes a line or verse';
$string['create'] = 'New';
$string['modulename_link'] = 'mod/socialwiki/view';
$string['modulenameplural'] = 'Social Wikis';
$string['navigation'] = 'Navigation';
$string['navigationfrom'] = 'This page comes from';
$string['navigationfrom_help'] = 'The wiki pages linking to this page';
$string['navigationto'] = 'This page goes to';
$string['navigationto_help'] = 'Links to other pages';
$string['newpage'] = 'New';
$string['newpagehdr'] = 'New page';
$string['newpagetitle'] = 'New page title';
$string['noattachments'] = '<strong>No files attached</strong>';
$string['nocontent'] = 'There is no content for this page';
$string['nocontribs'] = 'You have no contributions in this wiki';
$string['nocomments'] = 'There are no comments';
$string['nocreatepermission'] = 'Create page permission needed';
$string['noeditcommentpermission'] = 'Edit comment permission needed';
$string['noeditpermission'] = 'Edit page permission needed';
$string['nofrompages'] = 'There are no links to this page';
$string['nohistory'] = 'There is no history for this page';
$string['nomanagecommentpermission'] = 'Manage comments permission needed';
$string['nomanagewikipermission'] = 'Manage wiki permission needed';
$string['noorphanedpages'] = 'There are no orphaned pages';
$string['norecentactivity'] = 'No recent activity';
$string['norated'] = 'This page has not been rated yet, be the first!';
$string['norating'] = 'No rating';
$string['nosearchresults'] = 'No results';
$string['noteditblocks'] = 'Turn edit blocks off';
$string['notingroup'] = 'Not in group';
$string['notopages'] = 'This page does not link to other pages';
$string['notmigrated'] = 'This wiki has not been migrated yet. Please contact your administrator.';
$string['nonode'] = 'The parent node doesn\'t exist';
$string['noupdatedpages'] = 'There are no updated pages';
$string['nouser'] = 'A pageid or userid must be passed to follow.php';
$string['noviewcommentpermission'] = 'View comments permission needed';
$string['noviewpagepermission'] = 'View page permission needed';
$string['nwiki'] = 'NWiki';
$string['oldversion'] = 'Old version';
$string['orphaned'] = 'Orphaned pages';
$string['orphaned_help'] = 'List of pages that are not linked from other page.';
$string['page-mod-socialwiki-x'] = 'Any social wiki module page';
$string['page-mod-socialwiki-view'] = 'Social Wiki module main page';
$string['page-mod-socialwiki-comments'] = 'Social Wiki module comments page';
$string['page-mod-socialwiki-history'] = 'Social Wiki history page';
$string['pageexists'] = 'This page already exists. Redirecting to it.';
$string['pageindex'] = 'Page Index';
$string['pageindex_help'] = 'This wiki\'s page tree';
$string['pagelist'] = 'Page list';
$string['pagelist_help'] = 'Page list categorized by alphabetical order';
$string['pagename'] = 'Page name';
$string['peerscores'] = 'PEER SCORES';
$string['pluginadministration'] = 'Social Wiki administration';
$string['pluginname'] = 'Social Wiki';
$string['popular'] = 'Popular';
$string['prettyprint'] = 'Printer-friendly version';
$string['previewwarning'] = 'This is a preview. Changes have not been saved yet.';
$string['rated'] = 'You rated this page as a {$a}';
$string['rating'] = 'Rating';
$string['ratingmode'] = 'Rating mode';
$string['recommended'] = 'Recommended Pages';
$string['reparsetimeout'] = 'Reparsing default timeout';
$string['repeatedsection'] = 'Wiki error: Section name cannot be repeated \'{$a}\'';
$string['restore'] = 'Restore';
$string['removeallwikitags'] = 'Remove all wiki tags';
$string['removepages'] = 'Remove pages';
$string['restoreconfirm'] = 'Are you sure you want to restore version #{$a}?';
$string['restoreerror'] = 'Version #{$a} could not be restored';
$string['restorethis'] = 'Restore this version';
$string['restoreversion'] = 'Restore old version';
$string['restoring'] = 'Restoring version #{$a}';
$string['return'] = 'Go back';
$string['save'] = 'Save';
$string['saving'] = 'Saving wiki page';
$string['savingerror'] = 'Saving error';
$string['searchcontent'] = 'Search in page content';
$string['search_help'] = 'There are 3 different search views:<br/>
        Tree View: displays the search results in a tree view to so the history of the page can easily be seen.<br/>
        List View: shows a list of pages ordered using your likes and the people you are following to order the pages<br/>
        Popular: orders the pages with the pages with more likes appearing at the top';
$string['searchmenu'] = 'Search views';
$string['searchresult'] = 'Search results:';
$string['searchterms'] = 'Search terms';
$string['search_socialwikis'] = 'Search Wiki';
$string['special'] = 'Special';
$string['style'] = 'Select style for Social wiki activity';
$string['tableofcontents'] = 'Table of contents';
$string['tableview'] = 'Table View';
$string['tableview_help'] = 'Table view of all wiki pages';
$string['tagsdeleted'] = 'Wiki tags have been deleted';
$string['tagtitle'] = 'See the "{$a}" tag';
$string['teacherrating'] = 'Teacher rating';
$string['teacherpages'] = 'Teacher\'s pages';
$string['timesrating'] = 'This page has been rated  {$a->c} times with an average of: {$a->s}';
$string['tree'] = 'Tree View';
$string['updatedpages'] = 'Updated pages';
$string['updatedpages_help'] = 'Recently updated wiki pages';
$string['updatedwikipages'] = 'Updated wiki pages';
$string['upload'] = 'Upload & Delete';
$string['uploadname'] = 'Filename';
$string['uploadactions'] = 'Actions';
$string['uploadtitle'] = 'Attach files';
$string['uploadfiletitle'] = 'Attachments';
$string['versionerror'] = 'Version ID does not exist';
$string['versionnum'] = 'Version #{$a}';
$string['version'] = 'Version';
$string['view'] = 'View';
$string['viewallhistory'] = 'View all history';
$string['viewperpage'] = 'Show {$a} versions per page';
$string['viewversion'] = 'Viewing page version #{$a}';
$string['viewcurrent'] = 'Current version';
$string['viewuserpages'] = 'View User\'s Pages';
$string['socialwiki'] = 'Social Wiki';
$string['wikiattachments'] = 'Wiki attachments';
$string['wikiboldtext'] = 'Bold text';
$string['wikiexternalurl'] = 'External URL';
$string['wikifiletable'] = 'Uploaded file list';
$string['wikifiles'] = 'Wiki files';
$string['wikiheader'] = 'Level {$a} Header';
$string['wikihr'] = 'Horizontal rule';
$string['wikiimage'] = 'Image';
$string['wikiinternalurl'] = 'Internal link';
$string['wikiintro'] = 'Description';
$string['wikiitalictext'] = 'Italic text';
$string['wikimode'] = 'Wiki mode';
$string['wikimode_help'] = 'The wiki mode determines whether everyone can edit the wiki - a collaborative wiki - or whether everyone has their own wiki which only they can edit - an individual wiki.';
$string['wikimodecollaborative'] = 'Collaborative wiki';
$string['wikimodeindividual'] = 'Individual wiki';
$string['wikiname'] = 'Wiki name';
$string['wikinowikitext'] = 'No wiki text';
$string['wikiorderedlist'] = 'Ordered list';
$string['wikisettings'] = 'Wiki settings';
$string['wikiunorderedlist'] = 'Unordered list';
$string['socialwiki:addinstance'] = 'Add a new Socail Wiki';
$string['socialwiki:createpage'] = 'Create new wiki pages';
$string['socialwiki:editcomment'] = 'Add comments to pages';
$string['socialwiki:editpage'] = 'Save wiki pages';
$string['socialwiki:managecomment'] = 'Manage wiki comments';
$string['socialwiki:manage_socialwiki'] = 'Manage wiki settings';
$string['socialwiki:managefiles'] = 'Manage wiki files';
$string['socialwiki:viewcomment'] = 'View page comments';
$string['socialwiki:viewpage'] = 'View wiki pages';
$string['socialwikipages'] = 'Social Wiki pages';
$string['wrongversionsave'] = 'Another user has created a version while you were editing and you have overwritten his changes, check the page history.';
$string['socialwiki:managewiki'] = 'Manage Social Wiki';

/*
 * All table related strings.
 */

// Headers.
$string['title'] = 'Title';
$string['title_help'] = 'The title of the page version.';
$string['contributors'] = 'Contributors';
$string['contributors_help'] = 'The users that have contributed to this page.';
$string['updated'] = 'Updated';
$string['updated_help'] = 'How long ago the page was created.';
$string['likes'] = 'Likes';
$string['likes_help'] = 'How many likes the page has.';
$string['views'] = 'Views';
$string['views_help'] = 'How many views the page has.';
// Specific for topics.
$string['versions'] = 'Versions';
$string['versions_help'] = 'How many different versions this topic has.';
// Specific of users.
$string['name'] = 'Name';
$string['name_help'] = 'The name of the user.';

$string['favourite'] = 'Favourites';
$string['favourite_help'] = 'A favourite is the most recent like in a topic.';
$string['popularity'] = 'Followers';
$string['popularity_help'] = 'How many followers this user has.';
$string['likesim'] = 'Like Similarity';
$string['likesim_help'] = 'How similar your likes are to the user.';
$string['followsim'] = 'Follow Similarity';
$string['followsim_help'] = 'How similar your follows are to the user.';
$string['networkdistance'] = 'Social Distance';
$string['networkdistance_help'] = 'How many steps away the user is in your network of follows.';

// Each table type and what is shown when the table is empty.
$string['pagesfollowed'] = 'From Users You Follow';
$string['pagesfollowed_empty'] = 'No unseen page versions liked by the users you follow.';
$string['newpages'] = 'New Page Versions';
$string['newpages_empty'] = 'No new page versions.';
$string['allpages'] = 'All Page Versions';
$string['allpages_empty'] = 'No page versions.';
$string['alltopics'] = 'All pages';
$string['alltopics_empty'] = 'No pages.';
$string['myfaves'] = 'My Favourites';
$string['myfaves_empty'] = 'You don\'t have any favourite pages.';
$string['mylikes'] = 'My Likes';
$string['mylikes_empty'] = 'You don\'t have any likes.';
$string['mypages'] = 'My Pages';
$string['mypages_empty'] = 'You haven\'t created any pages.';
$string['followers'] = 'Followers';
$string['followers_empty'] = 'You don\'t have any followers.';
$string['followedusers'] = 'Following';
$string['followedusers_empty'] = 'You don\'t follow anybody.';
$string['allusers'] = 'All Active Users';
$string['allusers_empty'] = 'No other users.';
$string['userfaves'] = 'Favourite Pages';
$string['userfaves_empty'] = 'This user has no favourite pages.';
$string['userpages'] = 'Created Pages';
$string['userpages_empty'] = 'This user has not created any pages.';

/*
 * Extras.
 */
$string['nopagesfound'] = 'No Pages Found';
$string['searchresultsfor'] = 'Search results for';
$string['makepage'] = 'Make a new Page';